void smile() {

  for (int x = 0; x < locations.length; x++) {
    if (locations[x] == 1) {
      int location = x;

      if ((mouseX-offset)/3 > 0) {
        int xLocation = (mouseX-offset)/3;
        int tempTextMonth = allSunSheets[location][0][xLocation];
        int tempTextDay = allSunSheets[location][1][xLocation];
        int tempTextSunUpHour = allSunSheets[location][2][xLocation];
        int tempTextSunUpMin = allSunSheets[location][3][xLocation];
        int tempTextSunDownHour = allSunSheets[location][4][xLocation];
        int tempTextSunDownMin = allSunSheets[location][5][xLocation];
        int tempSunUpTimeY = allSunSheets[location][6][xLocation]/2;
        int tempSunDownTimeY = allSunSheets[location][7][xLocation]/2;
        int barLength = tempSunDownTimeY-tempSunUpTimeY;
        dayLength = barLength;
        noStroke();

        fill(200, 0, 0);
        rect(mouseX, tempSunUpTimeY, 3, barLength);
        if (mouseY>tempSunUpTimeY && mouseY<tempSunDownTimeY) inside = true;
        else inside = false;

        if (inside) {
          ellipse(mouseX+3, mouseY-upABit, 40, 40);
          fill(255);
          textAlign(CENTER);
          textFont(myBoldFont);
          textFont(myFont);
          fill(locationColors[location], 230, 255);
          //stroke(locationColors[location], 230, 255);
          if (mouseX<(width/2)) {
            textAlign(LEFT);
            text("In " + locationNames[location] + " on " + monthNames[tempTextMonth-1] + " " + tempTextDay + "\nThe Sun will rise at " + tempTextSunUpHour + ":" + tempTextSunUpMin + 
              " The Sun will set at " 
              + tempTextSunDownHour + ":" + tempTextSunDownMin + "\nFor a total of " + dayLength/30 + " hours of sunlight", mouseX+30, mouseY-30);
          }
          else if (mouseX>(width/2)) {
            textAlign(RIGHT);
            text("In " + locationNames[location] + " on " + monthNames[tempTextMonth-1] + " " + tempTextDay + "\nThe Sun will rise at " + tempTextSunUpHour + ":" + tempTextSunUpMin + 
              " The Sun will set at " 
              + tempTextSunDownHour + ":" + tempTextSunDownMin + "\nFor a total of " + dayLength/30 + " hours of sunlight", mouseX-30, mouseY-30);
          }
        }   
        textAlign(LEFT);

        fill(0);
      }
    }
  }

  if (inside) {
    pushMatrix();
    translate(mouseX, mouseY-upABit);
    int smileWidth = 30;
    int smileDepth = int(map(dayLength, 280, 450, 0, 18));
    int beginPointX = -13;
    int beginPointY = 0;
    fill(0);
    stroke(255, 0, 255);
    strokeWeight(3);
    bezier(beginPointX, beginPointY, beginPointX, beginPointY+smileDepth, beginPointX+smileWidth, beginPointY+smileDepth, beginPointX+smileWidth, beginPointY);
    ellipse(-3, -7, 3, 3);
    ellipse(7, -7, 3, 3);
    popMatrix();
  }
}

