void loadSheets() {
  reader = new XlsReader( this, "sunriseSunsets.xls" );

  for (int location = 0; location<locations.length; location++) {
    z=0;
    reader.openSheet(location);
    reader.firstRow();
    String titleSheet = reader.getString();    // the title of the original dataset is in the first row, first cell
    reader.nextRow(); // legend
    while ( reader.hasMoreRows () )    // loop thru rows
    {

      // jump to first data row and its first cell
      // don't forget this or you'll be stuck in an endless loop
      reader.nextRow();    
      if (z<366) z++;

      int month = reader.getInt();    // month
      allSunSheets[location][0][z-1] = month;

      if ( month < 1 ) break;    // exit loop once we reach the end of the values, and they become smaller than 1 basically

      reader.nextCell();    // day
      allSunSheets[location][1][z-1] = reader.getInt(); 

      reader.nextCell();    // upHour
      allSunSheets[location][2][z-1] = reader.getInt();

      reader.nextCell();    // upMin
      allSunSheets[location][3][z-1] = reader.getInt(); 

      reader.nextCell();    // downHour
      allSunSheets[location][4][z-1] = reader.getInt();

      reader.nextCell();    // downMin
      allSunSheets[location][5][z-1] = reader.getInt();

      int upTime = (allSunSheets[location][2][z-1]*60)+allSunSheets[location][3][z-1];
      int downTime = (allSunSheets[location][4][z-1]*60)+allSunSheets[location][5][z-1];
      allSunSheets[location][6][z-1] = upTime;
      allSunSheets[location][7][z-1] = downTime;
    }
  }
}

